WindowUtils.RepaintTrigger.Listener
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform
Class WindowUtils.RepaintTrigger.Listener

    java.lang.Object
      java.awt.event.WindowAdapter
          com.sun.jna.platform.WindowUtils.RepaintTrigger.Listener

All Implemented Interfaces:
  java.awt.event.AWTEventListener, java.awt.event.ComponentListener, java.awt.event.HierarchyListener, java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.util.EventListener

Enclosing class:
  WindowUtils.RepaintTrigger

    protected class WindowUtils.RepaintTrigger.Listener

extends java.awt.event.WindowAdapter
implements java.awt.event.ComponentListener, java.awt.event.HierarchyListener, java.awt.event.AWTEventListener

Constructor Summary
`protected` | `WindowUtils.RepaintTrigger.Listener()`

Method Summary
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`void` | `eventDispatched(java.awt.AWTEvent e)`
`void` | `hierarchyChanged(java.awt.event.HierarchyEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowUtils.RepaintTrigger.Listener

    protected WindowUtils.RepaintTrigger.Listener()

Method Detail

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowOpened` in class `java.awt.event.WindowAdapter`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### hierarchyChanged

    public void hierarchyChanged(java.awt.event.HierarchyEvent e)

  Specified by:
    `hierarchyChanged` in interface `java.awt.event.HierarchyListener`

### eventDispatched

    public void eventDispatched(java.awt.AWTEvent e)

  Specified by:
    `eventDispatched` in interface `java.awt.event.AWTEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD